Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.util
Interface CloseableIterator<V>

All Superinterfaces:
  Closeable, Iterator<V>

All Known Implementing Classes:
  MultiRecordReaderIterator, RecordReaderIterator, SingleCloseableInputIterator, SingleValueCloseableIterator

    public interface CloseableIterator<V>

extends Iterator<V>, Closeable

Interface CloseableIterator is a helper interface granting an Iterator a close method.

Method Summary

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface java.io.Closeable
`close`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.